<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
    <xsl:template match="root">
        <html>
            <head>
                <title>Test de conversion XSLT : ETHERPAD vers HDOC</title>
                <xsl:apply-templates select="meta"/>                
            </head>
            <body>
                <xsl:apply-templates select="@*|node()[not(self::meta)]" />
            </body>
        </html>
    </xsl:template>
    
    <xsl:template match="meta">
        <xsl:for-each select="./*">
            <meta name="{local-name(.)}" content="{./text()}"/>
        </xsl:for-each>
        <meta charset="utf-8"/>
        <meta generator="HdocConverter/Etherpad"/>
    </xsl:template>
    
    <xsl:template match="h1 | h2 | h3 | h4 | h5 | h6">
        <xsl:copy>
            <xsl:value-of select="."/>
        </xsl:copy>
    </xsl:template>
    
    <xsl:template match="important">
        <xsl:copy>
            <xsl:value-of select="."/>
        </xsl:copy>
    </xsl:template>
    
    <xsl:template match="exemple">
        <xsl:copy>
            <xsl:value-of select="."/>
        </xsl:copy>
    </xsl:template>
    
    <xsl:template match="definition">
        <xsl:copy>
            <xsl:value-of select="."/>
        </xsl:copy>
    </xsl:template>
    
</xsl:stylesheet>
