<?php
	Define("__OUTPUT_DIR","../uploads/");
	Define("__OUTPUT_DIR_FOR_JS","uploads/");
	
	Define("__ARCHIVE_DIR","../archives/");
	Define("__ARCHIVE_DIR_FOR_JS","archives/");
	Define("__ARCHIVE_NAME","selected_files.zip");
	
	
	if(isset($_POST["mode"]))
	{
		if($_POST["mode"] == "single") // Download a single file.
		{		
			if (file_exists(__OUTPUT_DIR.$_POST["file"])) 
			{				
				echo json_encode( array("success" => true, "url" => __OUTPUT_DIR_FOR_JS.$_POST["file"]));
			}
			else
			{
				echo json_encode(array("success" => false, "error" => "File not found."));
			}
		}
		else if($_POST["mode"] == "zip") // Download a zip archive with all the selected files.
		{
			if (file_exists(__ARCHIVE_DIR.__ARCHIVE_NAME)) // delete previous archive.
			{
				if(!unlink(__ARCHIVE_DIR.__ARCHIVE_NAME))
				{
					echo json_encode(array("success" => false, "error" => "The zip archive couldn't be cleaned."));
					exit;
				}
			}
		
			$archive = new ZipArchive();
			if($archive->open(__ARCHIVE_DIR.__ARCHIVE_NAME,ZipArchive::CREATE)) // Create archive.
			{
				foreach($_POST["files"] as $file)
				{
					$archive->addFile(__OUTPUT_DIR.$file,$file); // Add file to the archive.
				}
				echo json_encode( array("success" => true, "url" => __ARCHIVE_DIR_FOR_JS.__ARCHIVE_NAME));
			}
			else
				echo json_encode(array("success" => false, "error" => "The zip archive couldn't be created."));
		}
		else
		{
			echo json_encode(array("success" => false, "error" => "Bad request."));
		}
	}
	else
	{
		echo json_encode(array("success" => false, "error" => "Bad request."));
	}
?>