<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:hdoc="urn:utc.fr:ics:hdoc:container" xmlns:xs="http://www.w3.org/2001/XMLSchema"
    exclude-result-prefixes="xs" version="2.0">
    <xsl:param name="destfile" required="yes" as="xs:string"/>
    <!-- Thanks to Samuel Martineau (structure) & Matthieu BOST (xslt 2.0) -->
    <xsl:output method="xml" indent="yes"/>
    <xsl:template match="hdoc:container">
        <project name="Execute" default="exe">
            <property file="../build.properties"/>
            <target name="exe">

                <xslt classpath="saxon9he.jar"  in="hdoc/{hdoc:rootfiles/hdoc:rootfile/@full-path}" out="out/scar/guidePapier.pub" 
                    style="xslt/hdocToDokiel.xsl"
                    force="true">
                    <!--<factory name="net.sf.saxon.TransformerFactoryImpl"/>-->
                    <factory name="net.sf.saxon.TransformerFactoryImpl"/>
                </xslt>
                <xslt classpath="saxon9he.jar"  in="hdoc/{hdoc:rootfiles/hdoc:rootfile/@full-path}" out="out/find_media.ant" 
                    style="xslt/find_media.xsl"
                    force="true">
                    <!--<factory name="net.sf.saxon.TransformerFactoryImpl"/>-->
                    <factory name="net.sf.saxon.TransformerFactoryImpl"/>
                </xslt>
                <!-- 
                    <taskdef name="saxon-xslt" classname="net.sf.saxon.ant.AntTransform"
                    classpath=".\saxon9he.jar;.\saxon9-ant.jar"/>
                <saxon-xslt in="hdoc/{hdoc:rootfiles/hdoc:rootfile/@full-path}" out="out/temp/contenu.xml"
                    style="xslt/cut.xsl" force="true"/> 
                -->
                <!--<mtxslt processor="${saxon9}" in="hdoc/{hdoc:rootfiles/hdoc:rootfile/@full-path}"
                    style="xslt/hdocToDokiel.xsl" out="out/temp/contenu.xml"
                    classpath="${saxon9.classpath}">
                    <param name="target" expression="saxon9"/>
                </mtxslt> -->
            </target>
        </project>
    </xsl:template>
</xsl:stylesheet>
