<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
    xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:dk="kelis.fr:dokiel"
    xmlns:hdoc="http://www.utc.fr/ics/hdoc/xhtml" exclude-result-prefixes="xs" version="2.0">
    <xsl:output method="xml" indent="yes"/>
    <xsl:template match="node()|@*">
        <xsl:apply-templates select="*"/>
    </xsl:template>
    <xsl:template match="hdoc:img">
        <xsl:element name="copy">
            <xsl:attribute name="file">
                <xsl:text>./${dir_hdoc}/</xsl:text>
                <xsl:value-of select="@src"/>
            </xsl:attribute>
            <xsl:attribute name="todir">
                <xsl:text>./${dir_out}/${dir_scar}/&amp;/</xsl:text>
                <xsl:value-of select="tokenize(@src,'/')[last()]"/>
            </xsl:attribute>
            <xsl:attribute name="overwrite">true</xsl:attribute>

        </xsl:element>

    </xsl:template>
    <xsl:template match="hdoc:html">
        <project name="Execute" default="exe">
            <property file="../build.properties"/>
            <target name="exe">
                <xsl:apply-templates select="*"/>
            </target>
        </project>

    </xsl:template>
</xsl:stylesheet>
