<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet 
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"
    xmlns:c="urn:utc.fr:ics:hdoc:container"
    >
    <xsl:output method="xml" indent="yes" encoding="UTF-8"/>
	
    <xsl:template match="c:container">
        <project name="getContentFile" basedir="." default="start">
            <xsl:apply-templates select="./c:rootfiles"/>
        </project>
    </xsl:template>
    
    <xsl:template match="c:rootfiles">
        <target name="start">
            <xslt
                in="decompressedHdoc/{c:rootfile/@full-path}"
                processor="org.apache.tools.ant.taskdefs.optional.TraXLiaison"
                out="outputFile.xml"
                style="transformation1.xsl"
            />
        </target>
    </xsl:template>
</xsl:stylesheet>