<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet
    xmlns:h="http://www.utc.fr/ics/hdoc/xhtml"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"
    xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
    xmlns:op="utc.fr:ics/opale3"
    xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive"
    >
    <xsl:output method="xml" indent="yes" encoding="UTF-8"/>
    
    <xsl:template match="h:head"/>
    <xsl:template match="h:title"/>
    <xsl:template match="h:meta"/> <!-- generator, name et content -->
    
    <xsl:template match="h:body"/>
    <xsl:template match="h:structure"/>
    <xsl:template match="h:section"/>
        <xsl:template match="h:div"> <!-- DivType -->
            <sp:basic><xsl:value-of select="."/></sp:basic>
        </xsl:template>
        <xsl:template match="h:h6"/>
        <xsl:template match="h:header"/>
        <xsl:template match="h:footer"/>
</xsl:stylesheet>
