<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
    xmlns:of="scpf.org:office"
    xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive"
    xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
    xmlns="http://www.utc.fr/ics/hdoc/xhtml">
    
    <xsl:output method="xml" indent="yes"/>
    <xsl:template match="/document">
        <html>
            <head>
                <title><xsl:value-of select="title"/></title>
                <meta generator="HdocConverter/Latex"/>
                <xsl:apply-templates select="//creator"></xsl:apply-templates>
            </head>
            <body>
                
            </body>
        </html>
    </xsl:template>
    
    <xsl:template match="creator">
        <meta name="author" value="{personname}"/>
    </xsl:template>
</xsl:stylesheet>
